/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { CancelEventArgs } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
var SpreadsheetContextMenuOpeningEventArgs = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(SpreadsheetContextMenuOpeningEventArgs, _super);
    function SpreadsheetContextMenuOpeningEventArgs(a) {
        var _this = _super.call(this, 0) || this;
        _this._c = 0;
        _this._c = a;
        return _this;
    }
    Object.defineProperty(SpreadsheetContextMenuOpeningEventArgs.prototype, "menuArea", {
        get: function () {
            return this._c;
        },
        enumerable: true,
        configurable: true
    });
    SpreadsheetContextMenuOpeningEventArgs.$t = markType(SpreadsheetContextMenuOpeningEventArgs, 'SpreadsheetContextMenuOpeningEventArgs', CancelEventArgs.$);
    return SpreadsheetContextMenuOpeningEventArgs;
}(CancelEventArgs));
export { SpreadsheetContextMenuOpeningEventArgs };
